### Enumeration

# Gio DBusProxyFlags

since: 2.26

#### Declaration

    flags Gio.DBusProxyFlags

#### Description

Flags used when constructing an instance of a `GDBusProxy` derived class.

Available since: 2.26

#### Members

`G_DBUS_PROXY_FLAGS_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.26
`G_DBUS_PROXY_FLAGS_DO_NOT_LOAD_PROPERTIES`

  Don’t load properties.

  - Value: `1`
  - Available since: 2.26
`G_DBUS_PROXY_FLAGS_DO_NOT_CONNECT_SIGNALS`

  Don’t connect to signals on the remote object.

  - Value: `2`
  - Available since: 2.26
`G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START`

  If the proxy is for a well-known name, do not ask the bus to launch an owner during proxy initialization or a method call. This flag is only meaningful in proxies for well-known names.

  - Value: `4`
  - Available since: 2.26
`G_DBUS_PROXY_FLAGS_GET_INVALIDATED_PROPERTIES`

  If set, the property value for any invalidated property will be (asynchronously) retrieved upon receiving the `PropertiesChanged` D-Bus signal and the property will not cause emission of the `GDBusProxy::g-properties-changed` signal. When the value is received the `GDBusProxy::g-properties-changed` signal is emitted for the property along with the retrieved value. Since 2.32.

  - Value: `8`
  - Available since: 2.26
`G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START_AT_CONSTRUCTION`

  If the proxy is for a well-known name, do not ask the bus to launch an owner during proxy initialization, but allow it to be autostarted by a method call. This flag is only meaningful in proxies for well-known names, and only if `G_DBUS_PROXY_FLAGS_DO_NOT_AUTO_START` is not also specified.

  - Value: `16`
  - Available since: 2.26
`G_DBUS_PROXY_FLAGS_NO_MATCH_RULE`

  Don’t actually send the AddMatch D-Bus call for this signal subscription. This gives you more control over which match rules you add (but you must add them manually). (Since: 2.72).

  - Value: `32`
  - Available since: 2.26